#
# spec file for package util-linux
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define time_ver 1.7
%define which_ver 2.20
%define adjtimex_ver 1.28
%define util_linux_tar_ver 2.20-rc1

Name:           util-linux
BuildRequires:  audit-devel
BuildRequires:  gettext-devel
BuildRequires:  libselinux-devel
BuildRequires:  libsepol-devel
BuildRequires:  ncurses-devel
BuildRequires:  pam-devel
BuildRequires:  pkg-config
BuildRequires:  readline-devel
BuildRequires:  zlib-devel
Version:        2.19.91
Release:        1
Url:            http://kernel.org/~kzak/util-linux/
Supplements:    filesystem(minix)
Provides:       fsck-with-dev-lock = %{version}
# bnc#651598:
Provides:       util-linux(fake+no-canonicalize)
PreReq:         %install_info_prereq permissions
License:        GPLv2+
Group:          System/Base
AutoReqProv:    on
Recommends:     %{name}-lang = %{version}
Summary:        A collection of basic system utilities
Source:         ftp://ftp.kernel.org/pub/linux/utils/util-linux/v20/%{name}-%{util_linux_tar_ver}.tar.bz2
Source1:        util-linux-rpmlintrc
# XXX: make nologin part of login package
Source2:        nologin.c
Source3:        nologin.8
Source4:        raw.init
Source5:        etc.raw
Source6:        etc_filesystems
# XXX: add libmnt
Source7:        baselibs.conf
# XXX: post upstream?
Source9:        adjtimex-%{adjtimex_ver}.tar.bz2
# XXX: post upstream?
Source11:       klogconsole.tar.bz2
# TODO: split to separate package
Source12:       which-%{which_ver}.tar.bz2
# TODO: split to separate package
Source13:       time-%{time_ver}.tar.bz2
# XXX: needed?
Source22:       setctsid.c
Source23:       setctsid.8
# XXX: ppc specific, still needed?
Source28:       mkzimage_cmdline.8
Source29:       mkzimage_cmdline.c
Source31:       addnote.c
#
Source26:       README.raw
Source30:       README.largedisk
Source50:       uuidd.rc
Source51:       blkid.conf
##
## util-linux patches
##
# 241372 - remove legacy warnings from fdisk
Patch1:         util-linux-2.12r-fdisk_remove_bogus_warnings.patch
# crypto patch
Patch2:         util-linux-2.17.1-mount_losetup_crypto.patch
Patch3:         util-linux-fix-manpages.patch
Patch4:         util-linux-wall-build-with-pie.patch
##
## adjtimex
##
##
## klogconsole
##
Patch55:        klogconsole-quiet.patch
Patch56:        klogconsole.diff
##
## time
##
Patch60:        time-1.7.dif
##
## which
##
Patch70:        which-lib64.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         %insserv_prereq %fillup_prereq /bin/sed
#
Provides:       util = %{version}-%{release} rawio = %{version}-%{release} raw = %{version}-%{release} base = %{version}-%{release} uuid-runtime = %{version}-%{release}
Obsoletes:      util < %{version}-%{release} rawio < %{version}-%{release} raw < %{version}-%{release} base < %{version}-%{release} uuid-runtime < %{version}-%{release}

%description
This package contains a large variety of low-level system utilities
that are necessary for a Linux system to function. It contains the
mount program, the fdisk configuration tool, and more.

%package -n libblkid1
License:        GPLv2+
Summary:        Filesystem detection library
Group:          System/Filesystems

%description -n libblkid1
Library for filesystem detection.

%package -n libblkid-devel
License:        GPLv2+
Summary:        Development files for the filesystem detection library
Group:          Development/Libraries/C and C++
Requires:       libblkid1 = %{version}

%description -n libblkid-devel
Files needed to develop applications using the library for filesystem
detection.

%package -n uuidd
License:        GPLv2+
Summary:        Helper daemon to guarantee uniqueness of time-based UUIDs
Group:          System/Filesystems
PreReq:         %fillup_prereq
PreReq:         %insserv_prereq
PreReq:         permissions
PreReq:         pwdutils

%description -n uuidd
The uuidd package contains a userspace daemon (uuidd) which guarantees
uniqueness of time-based UUID generation even at very high rates on
SMP systems.

%package -n libuuid1
License:        GPLv2+
Summary:        Library to generate UUIDs
Group:          System/Filesystems

%description -n libuuid1
A library to generate universally unique IDs (UUIDs).

%package -n libuuid-devel
License:        GPLv2+
Summary:        Development files for libuuid1
Group:          Development/Libraries/C and C++
Requires:       libuuid1 = %{version}

%description -n libuuid-devel
Files to develop applications using the library to generate universally
unique IDs (UUIDs).

%package -n libmount1
License:        GPLv2+
Summary:        Device mount library
Group:          System/Filesystems

%description -n libmount1
Library designed to be used in low-level utils like
mount(8) and /sbin/mount.<type> helpers.

%package -n libmount-devel
License:        GPLv2+
Summary:        Development files for libmount1
Group:          Development/Libraries/C and C++
Requires:       libmount1 = %{version}

%description -n libmount-devel
Files to develop applications using the libmount library.

%lang_package
%prep
%setup -q -a 9 -b 11 -b 12 -b 13 -n %{name}-%{util_linux_tar_ver}
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

#
cd adjtimex-*
# adjtimex patches belongs here
cd -
# setctsid
cp %{S:22} %{S:23} .
# nologin
cp %{S:2} %{S:3} %{S:26} %{S:30} .
cd ../klogconsole
%patch55 -p1
%patch56 -p1
cd ../time-*
%patch60
cd ../which-*
%patch70

%build
# adjtimex build
cd adjtimex-%{adjtimex_ver}
CFLAGS="%{optflags}" ./configure
make %{?_smp_mflags}
cd ..
pushd ../
# which build
cd which-%{which_ver}
aclocal --force
autoconf --force
automake --force-missing --add-missing --foreign
%{?suse_update_config:%{suse_update_config}}
CFLAGS="%{optflags}" ./configure --prefix=/usr \
				    --mandir=%{_mandir} \
				    --infodir=%{_infodir} \
				    %{_target_cpu}-suse-linux
make %{?_smp_mflags}
cd ..
# time build
cd time-%{time_ver}
%{?suse_update_config:%{suse_update_config}}
CFLAGS="%{optflags} -D_GNU_SOURCE " INSTALL_PROGRAM='$(INSTALL)' \
	./configure --prefix=/usr \
		    --mandir=%{_mandir} \
		    --infodir=%{_infodir} \
		    %{_target_cpu}-suse-linux
make %{?_smp_mflags}
cd ..
# klogconsole build
cd klogconsole
make %{?_smp_mflags} CFLAGS="%{optflags}"
cd ..
popd
# setctsid build
rm -f setctsid
make %{?_smp_mflags} setctsid CFLAGS="%{optflags}"
#
# util-linux itself
#
autoreconf -fi
export SUID_CFLAGS="-fpie"
export SUID_LDFLAGS="-pie"
CFLAGS="%{optflags}" \
%configure \
  --bindir=/bin \
  --sbindir=/sbin \
  --libdir=/%{_lib} \
  --with-audit \
  --with-selinux \
  --enable-elvtune \
  --enable-mesg \
  --enable-partx \
  --enable-raw \
  --enable-write \
  --enable-line \
  --enable-libmount-mount \
  --disable-mountpoint \
  --disable-use-tty-group \
  --disable-static \
  --disable-silent-rules
#
make %{?_smp_mflags}
#
gcc %{optflags} -o nologin nologin.c
gcc %{optflags} -o mkzimage_cmdline %{S:29}
gcc %{optflags} -o chrp-addnote %{SOURCE31}

%check
cd ../time-%{time_ver}
make check

%install
mkdir -p %{buildroot}{/etc/init.d,%{_mandir}/man{1,8},/bin,/sbin,/usr/bin,/usr/sbin,%{_infodir}}
mkdir -p %{buildroot}%{_localstatedir}/lib/libuuid/
mkdir -p %{buildroot}%{_localstatedir}/run/uuidd/
install -m 744 %{SOURCE50} %{buildroot}%{_initddir}/uuidd
install -m 644 %{SOURCE51} %{buildroot}%{_sysconfdir}/blkid.conf
mkdir -p %{buildroot}%{_localstatedir}/adm/fillup-templates
cp adjtimex-*/adjtimex %{buildroot}/sbin/
cp adjtimex-*/adjtimex.8  %{buildroot}%{_mandir}/man8/
pushd ..
# which install
cd which-%{which_ver}
%make_install
mkdir -p %{buildroot}%{_defaultdocdir}/which
install -m 0644 README    %{buildroot}%{_defaultdocdir}/which/
install -m 0644 EXAMPLES  %{buildroot}%{_defaultdocdir}/which/
install -m 0644 README.alias %{buildroot}%{_defaultdocdir}/which/
cd ..
# time install
cd time-%{time_ver}
mkdir -p %{buildroot}%{_defaultdocdir}/time
make install DESTDIR=%{buildroot} \
        prefix=%{buildroot}/usr \
        infodir=%{buildroot}%{_infodir} \
        mandir=%{buildroot}%{_mandir}
install -m 0644 README    %{buildroot}%{_defaultdocdir}/time/
install -m 0644 AUTHORS   %{buildroot}%{_defaultdocdir}/time/
install -m 0644 COPYING   %{buildroot}%{_defaultdocdir}/time/
install -m 0644 NEWS      %{buildroot}%{_defaultdocdir}/time/
cd ..
# klogconsole install
cd klogconsole
make install DEST=%{buildroot}
popd
#
# util-linux install
#
%make_install
mv %{buildroot}%{_bindir}/logger %{buildroot}/bin/logger
install -m 644 %{SOURCE6} %{buildroot}%{_sysconfdir}/filesystems
install -m 755 nologin %{buildroot}/sbin
rm -f %{buildroot}/%{_libdir}/libblkid.la
rm -f %{buildroot}/%{_libdir}/libuuid.la
rm -f %{buildroot}/%{_libdir}/libmount.la
%ifnarch ppc ppc64
install -m 755 mkzimage_cmdline %{buildroot}%{_prefix}/bin
install -m 644 %{S:28} %{buildroot}%{_mandir}/man8
install -m 755 chrp-addnote %{buildroot}%{_prefix}/bin
%endif
install -m 644 nologin.8 %{buildroot}%{_mandir}/man8
# setctsid install
install -m 755 setctsid   %{buildroot}%{_prefix}/sbin
install -m 444 setctsid.8 %{buildroot}%{_mandir}/man8/
echo -e "#! /bin/bash\n/sbin/blockdev --flushbufs \$1" > %{buildroot}%{_sbindir}/flushb
chmod 755 %{buildroot}%{_sbindir}/flushb
# Install scripts to configure raw devices at boot time
install -m 644 $RPM_SOURCE_DIR/etc.raw   %{buildroot}%{_sysconfdir}/raw
install -m 755 $RPM_SOURCE_DIR/raw.init %{buildroot}%{_initddir}/raw
ln -sf ../../etc/init.d/raw %{buildroot}%{_sbindir}/rcraw
# Stupid hack so we don't have a tcsh dependency
chmod 644 %{buildroot}%{_datadir}/getopt/getopt*.tcsh
# Following files we don't want to package, so remove them
rm -f %{buildroot}%{_bindir}/pg
rm -f %{buildroot}%{_mandir}/man1/pg.1*
# Do not package these files to get rid of the perl dependency
rm -f %{buildroot}%{_bindir}/chkdupexe
rm -f %{buildroot}%{_mandir}/man1/chkdupexe.1
# arch dependent
%ifarch s390 s390x
rm -f %{buildroot}%{_sysconfdir}/fdprm
rm -f %{buildroot}%{_bindir}/cytune
rm -f %{buildroot}%{_sbindir}/fdformat
rm -f %{buildroot}/sbin/hwclock
rm -f %{buildroot}%{_sbindir}/klogconsole
rm -f %{buildroot}%{_bindir}/setterm
rm -f %{buildroot}%{_sbindir}/tunelp
rm -f %{buildroot}/%{_mandir}/man8/cytune.8*
rm -f %{buildroot}/%{_mandir}/man8/fdformat.8*
rm -f %{buildroot}/%{_mandir}/man8/hwclock.8*
rm -f %{buildroot}/%{_mandir}/man8/klogconsole.8*
rm -f %{buildroot}/%{_mandir}/man8/tunelp.8*
%endif
%ifarch ia64 %sparc
rm -f %{buildroot}/%{_mandir}/man8/cfdisk.8*
rm -f %{buildroot}/%{_mandir}/man8/sfdisk.8*
rm -f %{buildroot}/sbin/cfdisk
rm -f %{buildroot}/sbin/sfdisk
%endif
%ifarch ia64
rm -f %{buildroot}/sbin/fdisk
rm -f %{buildroot}%{_mandir}/man8/fdisk.8*
%endif
%find_lang %{name} %{name}.lang
# create list of setarch(8) symlinks
find  %{buildroot}%{_bindir}/ -regextype posix-egrep -type l \
  -regex ".*(linux32|linux64|s390|s390x|i386|ppc|ppc64|ppc32|sparc|sparc64|sparc32|sparc32bash|mips|mips64|mips32|ia64|x86_64|parisc|parisc32|parisc64)$" \
  -printf "%{_bindir}/%f\n" >> %{name}.files
find  %{buildroot}%{_mandir}/man8 -regextype posix-egrep  \
  -regex ".*(linux32|linux64|s390|s390x|i386|ppc|ppc64|ppc32|sparc|sparc64|sparc32|sparc32bash|mips|mips64|mips32|ia64|x86_64|parisc|parisc32|parisc64)\.8.*" \
  -printf "%{_mandir}/man8/%f*\n" >> %{name}.files
# clock.txt from uuidd is a ghost file
touch %{buildroot}%{_localstatedir}/lib/libuuid/clock.txt
# rcuuidd helper
ln -sf ../..%{_sysconfdir}/init.d/uuidd %{buildroot}%{_sbindir}/rcuuidd

%clean
rm -rf %{buildroot}

%post
%{fillup_and_insserv raw}
%install_info --entry="* time: (time). summarizing used system resources" --info-dir=%{_infodir} %{_infodir}/time.info.gz
%install_info --info-dir=%{_infodir} %{_infodir}/which.info.gz
%if 0%{?suse_version} <= 1130
%run_permissions
%else
%set_permissions /usr/bin/wall /usr/bin/write /bin/mount /bin/umount
%endif

# mount option 'code=' is now called 'codepage=' so change fstab
if [ -f etc/fstab ]; then
	sed -i 's:code=:codepage=:' etc/fstab
fi

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/ipc.info.gz
%install_info_delete --info-dir=%{_infodir} %{_infodir}/time.info.gz
%install_info_delete --info-dir=%{_infodir} %{_infodir}/which.info.gz
%{insserv_cleanup}

%verifyscript
%verify_permissions -e /usr/bin/wall -e /usr/bin/write -e /bin/mount -e /bin/umount

%post -n libblkid1 -p /sbin/ldconfig

%postun -n libblkid1 -p /sbin/ldconfig

%post -n libmount1 -p /sbin/ldconfig

%postun -n libmount1 -p /sbin/ldconfig

%pre -n uuidd
/usr/sbin/groupadd -r uuidd 2>/dev/null || :
/usr/sbin/useradd -r -g uuidd -c "User for uuidd" \
  -d /var/run/uuidd uuidd 2>/dev/null || :

%preun -n uuidd
%{stop_on_removal uuidd}

%post -n uuidd
%{fillup_and_insserv -n uuidd}
%if 0%{?suse_version} <= 1130
%run_permissions
%else
%set_permissions /usr/sbin/uuidd
%endif

%postun -n uuidd
%{restart_on_update uuidd}
%{insserv_cleanup}

%post -n libuuid1 -p /sbin/ldconfig

%postun -n libuuid1
/sbin/ldconfig

%verifyscript -n uuidd
%verify_permissions -e /usr/sbin/uuidd

%files lang -f %{name}.lang

%files -f %{name}.files
# Common files for all archs
%defattr(-,root,root)
%doc login-utils/README.poeigl
%doc misc-utils/README.cal
%doc misc-utils/README.namei
%doc mount/README.mount
%doc hwclock/README.hwclock
%doc text-utils/README.col
%doc README.largedisk
%config %attr(744,root,root) %{_sysconfdir}/init.d/raw
%config(noreplace) %attr(644,root,root) %{_sysconfdir}/raw
%config(noreplace) %{_sysconfdir}/filesystems
%config(noreplace) %{_sysconfdir}/blkid.conf
/bin/dmesg
/bin/more
/bin/mount
/bin/umount
/bin/findmnt
/bin/lsblk
/sbin/adjtimex
/sbin/agetty
/sbin/blockdev
/sbin/elvtune
/sbin/ctrlaltdel
/sbin/fsck.minix
/sbin/fsck.cramfs
/sbin/losetup
/sbin/mkfs
/sbin/mkfs.bfs
/sbin/mkfs.minix
/sbin/mkfs.cramfs
/sbin/mkswap
/sbin/nologin
/sbin/pivot_root
/sbin/raw
/sbin/swapoff
/sbin/swapon
/sbin/blkid
/sbin/findfs
/sbin/fsck
/sbin/switch_root
/sbin/wipefs
/sbin/fsfreeze
/sbin/swaplabel
/sbin/fstrim
%{_bindir}/ipcmk
/bin/logger
%{_bindir}/cal
%{_bindir}/chrt
%{_bindir}/col
%{_bindir}/colcrt
%{_bindir}/colrm
%{_bindir}/column
%{_bindir}/ddate
%{_bindir}/fallocate
%{_bindir}/flock
%{_bindir}/getopt
%{_bindir}/hexdump
%{_bindir}/ionice
%{_bindir}/ipcrm
%{_bindir}/ipcs
%{_bindir}/isosize
%{_bindir}/line
%{_bindir}/look
%{_bindir}/lscpu
%{_bindir}/mcookie
%{_bindir}/mesg
%{_bindir}/uuidgen
%ifnarch ppc ppc64
%{_bindir}/chrp-addnote
%{_bindir}/mkzimage_cmdline
%endif
%{_bindir}/namei
%{_bindir}/rename
%{_bindir}/renice
%{_bindir}/rev
%{_bindir}/script
%{_bindir}/setarch
%{_bindir}/scriptreplay
%{_bindir}/setsid
%{_bindir}/ul
%{_bindir}/tailf
%{_bindir}/taskset
%{_bindir}/time
%{_bindir}/unshare
%{_bindir}/which
%{_sbindir}/addpart
%{_sbindir}/delpart
%{_sbindir}/ldattach
%{_sbindir}/partx
%{_sbindir}/rcraw
%{_sbindir}/rtcwake
%{_sbindir}/setctsid
%verify(not mode) %attr(0755,root,tty) %{_bindir}/wall
%{_bindir}/whereis
%verify(not mode) %attr(0755,root,tty) %{_bindir}/write
%dir %{_defaultdocdir}/time
%dir %{_defaultdocdir}/which
%{_defaultdocdir}/time/*
%{_defaultdocdir}/which/*
%{_infodir}/time.info*.gz
%{_infodir}/which.info*.gz
%{_mandir}/man1/cal.1.gz
%{_mandir}/man1/chrt.1.gz
%{_mandir}/man1/col.1.gz
%{_mandir}/man1/colcrt.1.gz
%{_mandir}/man1/colrm.1.gz
%{_mandir}/man1/column.1.gz
%{_mandir}/man1/ddate.1.gz
%{_mandir}/man1/dmesg.1.gz
%{_mandir}/man1/fallocate.1.gz
%{_mandir}/man1/flock.1.gz
%{_mandir}/man1/getopt.1.gz
%{_mandir}/man1/hexdump.1.gz
%{_mandir}/man1/ipcrm.1.gz
%{_mandir}/man1/ipcs.1.gz
%{_mandir}/man1/line.1.gz
%{_mandir}/man1/logger.1.gz
%{_mandir}/man1/look.1.gz
%{_mandir}/man1/lscpu.1.gz
%{_mandir}/man1/mcookie.1.gz
%{_mandir}/man1/mesg.1.gz
%{_mandir}/man1/more.1.gz
%{_mandir}/man1/namei.1.gz
%{_mandir}/man1/ionice.1.gz
%{_mandir}/man1/readprofile.1.gz
%{_mandir}/man1/rename.1.gz
%{_mandir}/man1/rev.1.gz
%{_mandir}/man1/renice.1.gz
%{_mandir}/man1/setsid.1.gz
%{_mandir}/man1/script.1.gz
%{_mandir}/man1/scriptreplay.1.gz
%{_mandir}/man1/setterm.1.gz
%{_mandir}/man1/tailf.1.gz
%{_mandir}/man1/taskset.1.gz
%{_mandir}/man1/ul.1.gz
%{_mandir}/man1/unshare.1.gz
%{_mandir}/man1/wall.1.gz
%{_mandir}/man1/whereis.1.gz
%{_mandir}/man1/write.1.gz
%{_mandir}/man1/which.1.gz
%{_mandir}/man1/ipcmk.1.gz
%{_mandir}/man1/uuidgen.1.gz
%{_mandir}/man5/fstab.5.gz
%{_mandir}/man8/addpart.8.gz
%{_mandir}/man8/agetty.8.gz
%{_mandir}/man8/blockdev.8.gz
%{_mandir}/man8/delpart.8.gz
%{_mandir}/man8/elvtune.8*
%{_mandir}/man8/ctrlaltdel.8.gz
%{_mandir}/man8/adjtimex.8.gz
%{_mandir}/man8/blkid.8.gz
%{_mandir}/man8/switch_root.8.gz
%{_mandir}/man8/mkfs.bfs.8.gz
%{_mandir}/man8/mkfs.minix.8.gz
%{_mandir}/man8/findfs.8.gz
%{_mandir}/man8/fsck.8.gz
%{_mandir}/man8/fsck.minix.8.gz
%{_mandir}/man8/isosize.8.gz
%{_mandir}/man8/ldattach.8.gz
%{_mandir}/man8/losetup.8.gz
%{_mandir}/man8/mkfs.8.gz
%{_mandir}/man8/mkswap.8.gz
%{_mandir}/man8/mount.8.gz
%{_mandir}/man8/nologin.8.gz
%{_mandir}/man8/findmnt.8.gz
%{_mandir}/man8/fsfreeze.8.gz
%{_mandir}/man8/swaplabel.8.gz
%ifnarch ppc ppc64
%{_mandir}/man8/mkzimage_cmdline.8.gz
%endif
%{_mandir}/man8/partx.8.gz
%{_mandir}/man8/pivot_root.8.gz
%{_mandir}/man8/raw.8.gz
%{_mandir}/man8/rtcwake.8.gz
%{_mandir}/man8/setarch.8.gz
%{_mandir}/man8/swapoff.8.gz
%{_mandir}/man8/swapon.8.gz
%{_mandir}/man8/umount.8.gz
%{_mandir}/man8/setctsid.8.gz
%{_mandir}/man8/wipefs.8.gz
%{_mandir}/man8/fstrim.8.gz
%{_mandir}/man8/lsblk.8.gz
%{_mandir}/ru
%{_sbindir}/flushb
%{_sbindir}/readprofile
%dir %{_datadir}/getopt
%attr (755,root,root) %{_datadir}/getopt/getopt-parse.bash
%attr (755,root,root) %{_datadir}/getopt/getopt-parse.tcsh
%ifnarch ia64
%doc fdisk/README.fdisk
/sbin/fdisk
%{_mandir}/man8/fdisk.8.gz
%endif
%ifnarch %sparc ia64
%doc fdisk/README.cfdisk
%{_mandir}/man8/cfdisk.8.gz
%{_mandir}/man8/sfdisk.8.gz
/sbin/cfdisk
/sbin/sfdisk
%endif
%ifnarch s390 s390x
%{_bindir}/cytune
%{_sbindir}/fdformat
/sbin/hwclock
%{_sbindir}/klogconsole
%{_bindir}/setterm
%{_sbindir}/tunelp
%{_mandir}/man8/cytune.8.gz
%{_mandir}/man8/fdformat.8.gz
%{_mandir}/man8/hwclock.8.gz
%{_mandir}/man8/klogconsole.8.gz
%{_mandir}/man8/tunelp.8.gz
%endif

%files -n libblkid1
%defattr(-, root, root)
/%{_lib}/libblkid.so.1
/%{_lib}/libblkid.so.1.*

%files -n libblkid-devel
%defattr(-, root, root)
%{_libdir}/libblkid.so
%dir %{_includedir}/blkid
%{_includedir}/blkid/blkid.h
%{_libdir}/pkgconfig/blkid.pc
%{_mandir}/man3/libblkid.3.gz

%files -n libmount1
%defattr(-, root, root)
/%{_lib}/libmount.so.1
/%{_lib}/libmount.so.1.*

%files -n libmount-devel
%defattr(-, root, root)
%{_libdir}/libmount.so
%dir %{_includedir}/libmount
%{_includedir}/libmount/libmount.h
%{_libdir}/pkgconfig/mount.pc

%files -n uuidd
%defattr(-, root, root)
%verify(not mode) %attr(0755,root,root) %{_sbindir}/uuidd
%attr(-,uuidd,uuidd) %dir %{_localstatedir}/lib/libuuid
%ghost %{_localstatedir}/lib/libuuid/clock.txt
%attr(-,uuidd,uuidd) %ghost %dir %{_localstatedir}/run/uuidd
%{_sysconfdir}/init.d/uuidd
%{_mandir}/man8/uuidd.8.gz
%{_sbindir}/rcuuidd

%files -n libuuid1
%defattr(-, root, root)
/%{_lib}/libuuid.so.1
/%{_lib}/libuuid.so.1.*

%files -n libuuid-devel
%defattr(-, root, root)
%{_libdir}/libuuid.so
%dir %{_includedir}/uuid
%{_includedir}/uuid/uuid.h
%{_libdir}/pkgconfig/uuid.pc
%{_mandir}/man3/uuid*

%changelog
